
ServerEvents.recipes(event => {

    event.shaped(Item.of('gtceu:large_barrel'), [
        'PSP',
        'IBI',
        'PSP'
    ], {
        P: 'gtceu:treated_wood_planks',
        S: 'gtceu:treated_wood_rod',
        B: '#exnihilosequentia:barrels',
        I: 'gtceu:wrought_iron_plate'
    });

    event.recipes.gtceu.large_barrel('witch_water')
        .notConsumable('exnihilosequentia:mycelium_spores')
        .inputFluids('minecraft:water 1000')
        .outputFluids('exnihilosequentia:witch_water 1000')
        .duration(80);

    event.recipes.gtceu.large_barrel('to_clay')
        .itemInputs('exnihilosequentia:dust')
        .inputFluids('minecraft:water 1000')
        .itemOutputs('minecraft:clay')
        .duration(1);

    event.recipes.gtceu.large_barrel('to_slime')
        .itemInputs('#forge:mushrooms')
        .inputFluids('exnihilosequentia:witch_water 1000')
        .itemOutputs('minecraft:slime_block')
        .duration(1);

    event.recipes.gtceu.large_barrel('to_bshroom')
        .itemInputs('exnihilosequentia:mycelium_spores')
        .inputFluids('exnihilosequentia:witch_water 1000')
        .itemOutputs('minecraft:brown_mushroom_block')
        .duration(1);

    event.recipes.gtceu.large_barrel('to_rshroom')
        .itemInputs('minecraft:brown_mushroom_block')
        .inputFluids('exnihilosequentia:witch_water 1000')
        .itemOutputs('minecraft:red_mushroom_block')
        .duration(1);

    event.shapeless(Item.of('3x minecraft:brown_mushroom'), ['minecraft:brown_mushroom_block', '#forge:tools/mortars']);
    event.shapeless(Item.of('3x minecraft:red_mushroom'), ['minecraft:red_mushroom_block', '#forge:tools/mortars']);
});